#	File:		PictPart.make
#	Contains:	Makefile for PictPart part editor for 68K
#
#	Change History (most recent first):
#
#	<2>	4/20/95	JS		Updated for Developer Release 2.
#	<1>	2/2/95	RA		First checked in.
#	<0>	PartMaker source by E. Soldan, T. elik, J. Alfke, J. Schalk

#---------------------------------------------------------------------------	
# PROJECT VARIABLES
#---------------------------------------------------------------------------	

TargetName 			= PictPart
TargetNameILink 	= {TargetName}-ILink

ProjectDir 			= :
SourceDir 			= {ProjectDir}$Sources:
ObjectsDir 			= {ProjectDir}$Objects:
TargetDir 			= {ProjectDir}
HeaderDir			= {ProjectDir}$Headers:
ResourceDir			= {ProjectDir}$Resources:
UtilitiesDir		= {ProjectDir}$Utilities:
LocalIDLDir			= {ProjectDir}$SOM:

ODCppIntfDir		= {OpenDocDir}Interfaces:CPlusPlus:
ODCIntfDir			= {OpenDocDir}Interfaces:C:
ODHandMadeIntfDir	= {OpenDocDir}Interfaces:HandMade:
ODIDLIntfDir		= {OpenDocDir}Interfaces:IDL:
ODRezIntfDir		= {OpenDocDir}Interfaces:Rez:
ODUtilIntfDir		= {OpenDocDir}OpenDoc Utilities:Interfaces:
ODUtilImplDir		= {OpenDocDir}OpenDoc Utilities:Implementation:

ODStubLibrariesDir	= {OpenDocDir}Libraries:PEF:

#---------------------------------------------------------------------------	
# DIRECTORY DEPENDENCIES
#---------------------------------------------------------------------------	

"{ObjectsDir}" 		 "{ProjectDir}"
"{ObjectsDir}" 		 "{UtilitiesDir}"
"{ObjectsDir}" 		 "{ODUtilIntfDir}"
"{ObjectsDir}" 		 "{ODUtilImplDir}"
"{ObjectsDir}" 		 "{LocalIDLDir}"

#----------------------------------------------------------------------
# LIBRARIES
#----------------------------------------------------------------------

NuRTLibraries = "{SharedLibraries}"StdCLib			
				"{SharedLibraries}"SOM 				
				"{SharedLibraries}"InterfaceLib		
				"{SharedLibraries}"DragLib			
				"{CFM68KLibraries}"NuCPlusLib.o		
				"{CFM68KLibraries}"NuMacRuntime.o	
				"{CFM68KLibraries}"NuRTLib.o		
				"{CFM68KLibraries}"NuMathLib.o

ShLibPreLibraries = 

ShLibPostLibraries = {NuRTLibraries}

#----------------------------------------------------------------------
# COMPILERS, TOOLS
#----------------------------------------------------------------------

CPlus 						= SCpp
SymOption 					= -sym full
MacsbugOption 				= -mbg full

GOptions 					= -d _PLATFORM_MACINTOSH_=1	
							  -d ODDebug=0 
							  -model cfmseg 
							  {SymOption} 
							  {MacsbugOption} 
							  -b3 
							  -O none

COptions 					= {GOptions} -dialect ansic

AsmOptions					= -model cfmseg

CPlusOptions 				= {GOptions} -dialect cplus

ILinkOptions 				= -model cfmseg	
							  -sym on 
							  -mf 
							  -xm s

RezOptions 					= -c RSED -t rsrc

#---------------------------------------------------------------------------	
# FILE LIST VARIABLES
#---------------------------------------------------------------------------	

PictPartOBJECTS = 
	"{ObjectsDir}CPPictPart.cpp.o"			
	"{ObjectsDir}CPPictPartStubs.cpp.o"	
	"{ObjectsDir}FrameList.cpp.o"			
	"{ObjectsDir}PartUtils.cpp.o"			
	"{ObjectsDir}PictPart.cpp.o"			
	"{ObjectsDir}PictPartInit.cpp.o"		
	"{ObjectsDir}AltPoint.cpp.o"			
	"{ObjectsDir}AltPoly.cpp.o"				
	"{ObjectsDir}Except.cpp.o"				
	"{ObjectsDir}FocusLib.cpp.o"			
	"{ObjectsDir}InfoUtil.cpp.o"			
	"{ObjectsDir}IText.cpp.o"				
	"{ObjectsDir}ODDebug.cpp.o"				
	"{ObjectsDir}ODMemory.cpp.o"			
	"{ObjectsDir}ODNew.cpp.o"				
	"{ObjectsDir}ODNewObj.cpp.o"			
	"{ObjectsDir}ODUtils.cpp.o"				
	"{ObjectsDir}PasclStr.cpp.o"			
	"{ObjectsDir}StdTypIO.cpp.o"			
	"{ObjectsDir}StorUtil.cpp.o"			
	"{ObjectsDir}UseRsrcM.cpp.o"			
	"{ObjectsDir}BArray.cpp.o"				
	"{ObjectsDir}ISOStr.cpp.o"
			
# List of Utilities unused. Add as required

UtilitiesOBJECTS = 
	"{ObjectsDir}DictList.cpp.o" 			
	"{ObjectsDir}DlogUtil.cpp.o" 			
	"{ObjectsDir}EditrSet.cpp.o" 			
	"{ObjectsDir}FlipEnd.cpp.o" 			
	"{ObjectsDir}HshTbl.c.o" 				
	"{ObjectsDir}LineOps.cpp.o" 			
	"{ObjectsDir}List.cpp.o" 				
	"{ObjectsDir}NmSpcUtl.cpp.o" 			
	"{ObjectsDir}Node.cpp.o" 				
	"{ObjectsDir}ODMathM.a.o" 				
	"{ObjectsDir}ODMathM.cpp.o" 			
	"{ObjectsDir}OpenHash.cpp.o" 			
	"{ObjectsDir}OrdColl.cpp.o" 			
	"{ObjectsDir}PlfmFile.cpp.o" 			
	"{ObjectsDir}POUtils.cpp.o"				
	"{ObjectsDir}PriortyQ.cpp.o" 			
	"{ObjectsDir}RegisterFileLibs.c.o" 		
	"{ObjectsDir}SIHelper.cpp.o" 			
	"{ObjectsDir}SIHshTbl.cpp.o" 			
	"{ObjectsDir}StdIFmIO.cpp.o" 			
	"{ObjectsDir}StrHshTb.cpp.o" 			
	"{ObjectsDir}TransUtl.cpp.o" 			
	"{ObjectsDir}WinUtils.cpp.o" 			
	
#---------------------------------------------------------------------------	
# ROOT TARGET
#---------------------------------------------------------------------------	

BUILDREZ  
	"{ResourceDir}"PictPart.68K.rsrc

BUILDILINK  
	"{ResourceDir}"PictPart.68K.rsrc		
	"{TargetDir}{TargetNameILink}"

BUILDCPPIDL  
	"{LocalIDLDir}"PictPart.xih			
	"{LocalIDLDir}"PictPart.xh				
	"{LocalIDLDir}"PictPart.cpp


#---------------------------------------------------------------------------	
# BUILD LIBRARIES
#---------------------------------------------------------------------------	

{TargetDir}{TargetNameILink}   {PictPartOBJECTS} "{ResourceDir}"PictPart.68K.rsrc
	Echo Linking: {TargetNameILink}
	Unset ExportObjects
	ILink	
		{ILinkOptions}										
		-init PICTPARTCFMINIT								
		-m PictPartSOMInit									
		{ShLibPreLibraries}									
		{PictPartOBJECTS}									
		"{ODStubLibrariesDir}Memory Manager.stub" 			
		"{ODStubLibrariesDir}OpenDoc Core.stub" 			
		"{ODStubLibrariesDir}OpenDoc Storage.stub" 			
		"{ODStubLibrariesDir}OpenDoc OSL.stub" 				
		"{ODStubLibrariesDir}OpenDoc Messaging.stub" 		
		"{ODStubLibrariesDir}OpenDoc Imaging.stub" 			
		"{ODStubLibrariesDir}OpenDoc Layout.stub"			
		"{ODStubLibrariesDir}OpenDoc User Interface.stub"	
		{ShLibPostLibraries}								
		-o "{ObjectsDir}{TargetNameILink}".seg
	If !{Status}
		ILinkToSym "{ObjectsDir}{TargetNameILink}".seg.NJ 
			-o "{TargetDir}{TargetNameILink}".SYM
		MakeFlat "{ObjectsDir}{TargetNameILink}".seg -o "{TargetDir}{TargetNameILink}"
		SetFile -c cfmg "{TargetDir}{TargetNameILink}"
		SetFile -m . {Targ}
	End

#---------------------------------------------------------------------------	
# REZ STEPS
#---------------------------------------------------------------------------	

"{ResourceDir}"PictPart.68K.rsrc 	"{ResourceDir}"PictPart.r 
								"{ResourceDir}PictPart.ResEdit" 
								"{HeaderDir}PictPartDef.h"
	Rez -d _68KBUILD_ {RezOptions} -i "{ODCppIntfDir}" -i "{ODRezIntfDir}" 
		"{ResourceDir}"PictPart.r 
		 -a -o "{ResourceDir}"PictPart.68K.rsrc

"{TargetDir}{TargetNameILink}"   "{ResourceDir}"PictPart.68K.rsrc
	Echo "include "{ResourceDir}PictPart.68K.rsrc";" | Rez -a -o "{TargetDir}{TargetNameILink}"
	Echo "delete 'ckid';"  | Rez -a -o "{TargetDir}{TargetNameILink}"

#---------------------------------------------------------------------------	
# DEPENDENCIES
#---------------------------------------------------------------------------	

# IDL

"{LocalIDLDir}"PictPart.cpp  			
	"{LocalIDLDir}"PictPart.idl

"{LocalIDLDir}"PictPart.xih  			
	"{LocalIDLDir}"PictPart.xh			
	"{LocalIDLDir}"PictPart.idl

"{LocalIDLDir}"PictPart.xh  			
	"{LocalIDLDir}"PictPart.idl

# SOURCE/OBJECT CODE (SOM wrapper object)

"{ObjectsDir}"PictPart.cpp.o  		
	"{LocalIDLDir}"PictPart.cpp		
	"{LocalIDLDir}"PictPart.xih

# SOURCE/OBJECT CODE (C++ helper object)

"{ObjectsDir}"PictPartInit.cpp.o  	
	"{LocalIDLDir}"PictPartInit.cpp	
	"{LocalIDLDir}"PictPart.xh

"{ObjectsDir}"CPPictPart.cpp.o  		
	"{ProjectDir}"CPPictPart.cpp		
	"{HeaderDir}"CPPictPart.h			
	"{HeaderDir}"PictPartDef.h

"{ObjectsDir}"CPPictPartStubs.cpp.o 	
	"{ProjectDir}"CPPictPartStubs.cpp	
	"{HeaderDir}"CPPictPart.h			
	"{HeaderDir}"PictPartDef.h

# UTILS

"{ObjectsDir}"FrameList.cpp.o  		
	"{UtilitiesDir}"FrameList.cpp		
	"{UtilitiesDir}"FrameList.h			
	"{HeaderDir}"CPPictPart.h

"{ObjectsDir}"PartUtils.cpp.o  		
	"{UtilitiesDir}"PartUtils.cpp		
	"{UtilitiesDir}"PartUtils.h			
	"{HeaderDir}"CPPictPart.h

# OPENDOC UTILS (MORE THAN REQUIRED)

"{ObjectsDir}"AltPoint.cpp.o	  		
	"{ODUtilImplDir}"AltPoint.cpp 		
	"{ODUtilIntfDir}"AltPoint.h

"{ObjectsDir}"AltPoly.cpp.o	  			
	"{ODUtilImplDir}"AltPoly.cpp 		
	"{ODUtilIntfDir}"AltPoly.h

"{ObjectsDir}"BArray.cpp.o	  			
	"{ODUtilImplDir}"BArray.cpp 		
	"{ODUtilIntfDir}"BArray.h

"{ObjectsDir}"DictList.cpp.o	  		
	"{ODUtilImplDir}"DictList.cpp 		
	"{ODUtilIntfDir}"DictList.h

"{ObjectsDir}"DlogUtil.cpp.o	  		
	"{ODUtilImplDir}"DlogUtil.cpp 		
	"{ODUtilIntfDir}"DlogUtil.h

"{ObjectsDir}"EditrSet.cpp.o	  		
	"{ODUtilImplDir}"EditrSet.cpp 		
	"{ODUtilIntfDir}"EditrSet.h

"{ObjectsDir}"Except.cpp.o	  			
	"{ODUtilImplDir}"Except.cpp 		
	"{ODUtilIntfDir}"Except.h

"{ObjectsDir}"FlipEnd.cpp.o	  			
	"{ODUtilImplDir}"FlipEnd.cpp 		
	"{ODUtilIntfDir}"FlipEnd.h

"{ObjectsDir}"FocusLib.cpp.o	  		
	"{ODUtilImplDir}"FocusLib.cpp 		
	"{ODUtilIntfDir}"FocusLib.h

"{ObjectsDir}"HshTbl.c.cpp.o	  		
	"{ODUtilImplDir}"HshTbl.c.cpp 		
	"{ODUtilIntfDir}"HshTbl.c.h

"{ObjectsDir}"InfoUtil.cpp.o	  		
	"{ODUtilImplDir}"InfoUtil.cpp 		
	"{ODUtilIntfDir}"InfoUtil.h

"{ObjectsDir}"ISOStr.cpp.o	  			
	"{ODUtilImplDir}"ISOStr.cpp 		
	"{ODUtilIntfDir}"ISOStr.h

"{ObjectsDir}"IText.cpp.o	  			
	"{ODUtilImplDir}"IText.cpp 			
	"{ODUtilIntfDir}"IText.h

"{ObjectsDir}"LineOps.cpp.o	  			
	"{ODUtilImplDir}"LineOps.cpp 		
	"{ODUtilIntfDir}"LineOps.h

"{ObjectsDir}"List.cpp.o	  			
	"{ODUtilImplDir}"List.cpp 			
	"{ODUtilIntfDir}"List.h

"{ObjectsDir}"Node.cpp.o	  			
	"{ODUtilImplDir}"Node.cpp 			
	"{ODUtilIntfDir}"Node.h

"{ObjectsDir}"ODDebug.cpp.o	  			
	"{ODUtilImplDir}"ODDebug.cpp 		
	"{ODUtilIntfDir}"ODDebug.h

"{ObjectsDir}"ODMathM.cpp.o	  			
	"{ODUtilImplDir}"ODMathM.cpp 		
	"{ODUtilIntfDir}"ODMathM.h

"{ObjectsDir}"ODMemory.cpp.o	  		
	"{ODUtilImplDir}"ODMemory.cpp 		
	"{ODUtilIntfDir}"ODMemory.h

"{ObjectsDir}"ODNew.cpp.o	  			
	"{ODUtilImplDir}"ODNew.cpp 			
	"{ODUtilIntfDir}"ODNew.h

"{ObjectsDir}"ODNewObj.cpp.o	  		
	"{ODUtilImplDir}"ODNewObj.cpp 		
	"{ODUtilIntfDir}"ODNewObj.h

"{ObjectsDir}"ODUtils.cpp.o	  			
	"{ODUtilImplDir}"ODUtils.cpp 		
	"{ODUtilIntfDir}"ODUtils.h

"{ObjectsDir}"OpenHash.cpp.o	  		
	"{ODUtilImplDir}"OpenHash.cpp 		
	"{ODUtilIntfDir}"OpenHash.h

"{ObjectsDir}"OrdColl.cpp.o	  			
	"{ODUtilImplDir}"OrdColl.cpp 		
	"{ODUtilIntfDir}"OrdColl.h

"{ObjectsDir}"PasclStr.cpp.o	  		
	"{ODUtilImplDir}"PasclStr.cpp 		
	"{ODUtilIntfDir}"PasclStr.h

"{ObjectsDir}"PlfmFile.cpp.o	  		
	"{ODUtilImplDir}"PlfmFile.cpp 		
	"{ODUtilIntfDir}"PlfmFile.h

"{ObjectsDir}"POUtils.cpp.o	  			
	"{ODUtilImplDir}"POUtils.cpp 		
	"{ODUtilIntfDir}"POUtils.h

"{ObjectsDir}"PriortyQ.cpp.o	  		
	"{ODUtilImplDir}"PriortyQ.cpp 		
	"{ODUtilIntfDir}"PriortyQ.h

"{ObjectsDir}"SemtIntf.cpp.o	  		
	"{ODUtilImplDir}"SemtIntf.cpp 		
	"{ODUtilIntfDir}"SemtIntf.h

"{ObjectsDir}"SIHelper.cpp.o	  		
	"{ODUtilImplDir}"SIHelper.cpp 		
	"{ODUtilIntfDir}"SIHelper.h

"{ObjectsDir}"SIHshTbl.cpp.o	  		
	"{ODUtilImplDir}"SIHshTbl.cpp 		
	"{ODUtilIntfDir}"SIHshTbl.h

"{ObjectsDir}"StdIFmIO.cpp.o	  		
	"{ODUtilImplDir}"StdIFmIO.cpp 		
	"{ODUtilIntfDir}"StdIFmIO.h

"{ObjectsDir}"StdTypIO.cpp.o	  		
	"{ODUtilImplDir}"StdTypIO.cpp 		
	"{ODUtilIntfDir}"StdTypIO.h

"{ObjectsDir}"StorUtil.cpp.o	  		
	"{ODUtilImplDir}"StorUtil.cpp 		
	"{ODUtilIntfDir}"StorUtil.h

"{ObjectsDir}"StrHshTb.cpp.o	  		
	"{ODUtilImplDir}"StrHshTb.cpp 		
	"{ODUtilIntfDir}"StrHshTb.h

"{ObjectsDir}"TransUtl.cpp.o	  		
	"{ODUtilImplDir}"TransUtl.cpp 		
	"{ODUtilIntfDir}"TransUtl.h

"{ObjectsDir}"UseRsrcM.cpp.o	  		
	"{ODUtilImplDir}"UseRsrcM.cpp 		
	"{ODUtilIntfDir}"UseRsrcM.h

"{ObjectsDir}"WinUtils.cpp.o	  		
	"{ODUtilImplDir}"WinUtils.cpp 		
	"{ODUtilIntfDir}"WinUtils.h

#---------------------------------------------------------------------------	
# DEFAULT RULES
#---------------------------------------------------------------------------	

.cpp.o		.cpp
	{CPlus} {CPlusOptions} {depDir}{default}.cpp -o {targDir}{default}.cpp.o 
		-i {depDir} -i "{CIncludes}" -i "{ODCppIntfDir}" -i "{ODHandMadeIntfDir}" 
		-i "{ODUtilIntfDir}" -i "{HeaderDir}" -i "{UtilitiesDir}"

.c.o		.c
	{C} {depDir}{default}.c -o {targDir}{default}.c.o {COptions} 
		-i {depDir} -i "{CIncludes}" -i "{ODCIntfDir}" -i "{ODHandMadeIntfDir}" 
		-i "{ODUtilIntfDir}"  -i "{HeaderDir}" -i "{UtilitiesDir}"

.a.o		.a
	{Asm} {depDir}{default}.a -o {targDir}{default}.a.o {AsmOptions} 
	-i {depDir} -i "{CIncludes}" -i "{ODCIntfDir}" -i "{ODHandMadeIntfDir}" 
	-i "{ODUtilIntfDir}"  -i "{HeaderDir}" -i "{UtilitiesDir}"

.xih  .idl
	somc -other "-S 100000" -p -e xih {depDir}{default}.idl 
		-o {depDir} -I {depDir} -i "{ODIDLIntfDir}"
	SetFile -m . {targDir}{default}.xih

.xh  .idl
	somc -other "-S 100000" -p -e xh {depDir}{default}.idl 
		-o {depDir} -I {depDir} -i "{ODIDLIntfDir}"
	SetFile -m . {targDir}{default}.xh

.cpp  .idl
	somc -other "-S 100000" -m cpluscpp -p -e xc {depDir}{default}.idl 
		-o {depDir} -I {depDir} -i "{ODIDLIntfDir}"
	SetFile -m . {targDir}{default}.cpp

.ih  .idl
	somc -other "-S 100000" -p -e ih {depDir}{default}.idl 
		-o {depDir} -I {depDir} -i "{ODIDLIntfDir}"
	SetFile -m . {targDir}{default}.ih

.h  .idl
	somc -other "-S 100000" -p -e h {depDir}{default}.idl 
		-o {depDir} -I {depDir} -i "{ODIDLIntfDir}"
	SetFile -m . {targDir}{default}.h

.c  .idl
	somc -other "-S 100000" -p -e c {depDir}{default}.idl 
		-o {depDir} -I {depDir} -i "{ODIDLIntfDir}"
	SetFile -m . {targDir}{default}.c

.exp  .idl
	somc -other "-S 100000" -e exp {depDir}{default}.idl 
		-o {depDir} -I {depDir} -i "{ODIDLIntfDir}"
	SetFile -m . {targDir}{default}.exp
